---
title: CSS Scrollbars
slug: Web/CSS/CSS_Scrollbars
tags:
  - CSS
  - Guide
  - Overview
  - css scrollbars
---
<div>{{CSSRef}}{{SeeCompatTable}}</div>

<p class="summary"><span class="seoSummary"><strong>CSS Scrollbars</strong> standardizes the obsolete scrollbar color properties introduced in 2000 by Windows IE 5.5.</span></p>

<h2 id="Basic_Example">Basic Example</h2>

<p>In this example we have chosen to use a thin scrollbar, with a green track and purple thumb.</p>

<div id="Example">
<pre class="brush:css notranslate">.scroller {
  width: 300px;
  height: 100px;
  overflow-y: scroll;
  scrollbar-color: rebeccapurple green;
  scrollbar-width: thin;
}</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div class="scroller"&gt;
Veggies es bonus vobis, proinde vos postulo essum magis kohlrabi
welsh onion daikon amaranth tatsoi tomatillo melon azuki bean garlic.
Gumbo beet greens corn soko endive gumbo gourd. Parsley shallot courgette
tatsoi pea sprouts fava bean collard greens dandelion okra wakame tomato.
Dandelion cucumber earthnut pea peanut soko zucchini.
&lt;/div&gt;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>
</div>

<h2 id="Reference">Reference</h2>

<h3 id="CSS_Properties">CSS Properties</h3>

<div class="index">
<ul>
 <li>{{CSSxRef("scrollbar-width")}}</li>
 <li>{{CSSxRef("scrollbar-color")}}</li>
</ul>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Scrollbars")}}</td>
   <td>{{Spec2("CSS Scrollbars")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>When you customize scrollbars, consider they have enough contrast and that their hit area is large enough for people who use touch input.</p>

<ul>
 <li><a href="http://adrianroselli.com/2019/01/baseline-rules-for-scrollbar-usability.html">Baseline Rules for Scrollbar Usability | Adrian Roselli</a></li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="scrollbar-width">scrollbar-width</h3>

<div>{{Compat("css.properties.scrollbar-width")}}</div>

<h3 id="scrollbar-color">scrollbar-color</h3>

<div>{{Compat("css.properties.scrollbar-color")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("::-webkit-scrollbar")}}</li>
 <li>{{CSSxRef("-ms-overflow-style")}}</li>
</ul>
